1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

How To update 10.1.1 to 10.2

Discussion in 'Plesk 10.x for Linux Issues, Fixes, How-To' started by Pascalxx, Apr 14, 2011.

  1. Pascalxx

    Pascalxx Guest

    0
     
    How can i update from Plesk 10.1.1 to 10.2

    if i go to Updates on Controlpanel in Plesk i can't see any update.


    Thanks a lot

    Sorry for my bad english
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,560
    Likes Received:
    1,242
    Location:
    Novosibirsk, Russia
    Just run /usr/loca/psa/admin/sbin/autoinstaller and follow instructions.
     
  3. Pascalxx

    Pascalxx Guest

    0
     
    Thanks a lot

    but i try it before and get the following error from Putty

    BUSY: Update operation was locked by another update process.

    please can you help me to solve this problem

    sorry for my bad english
     
  4. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,560
    Likes Received:
    1,242
    Location:
    Novosibirsk, Russia
    Just kill autoupdater process and run autoinstaller again.
     
  5. Pascalxx

    Pascalxx Guest

    0
     
    How can i do that?
     
  6. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,560
    Likes Received:
    1,242
    Location:
    Novosibirsk, Russia
    It is usual unix administration task. Find PID of process with 'ps ax' command and then kill it with 'kill' command.
    Contact Parallels support team if you are not familiar with unix administration.
     
  7. Pascalxx

    Pascalxx Guest

    0
     
    Thank IgorG

    now i can start autoupdate but i can`t find any Update to 10.2

    first screen
    Current settings:
    Install products from Parallels server
    Install required system packages from Parallels server
    Store downloaded files in: /root/parallels
    -I type N

    secound screen

    Current settings:
    Do not use proxy.
    -I type N

    third screen
    The following product versions are available:

    1. [*] Parallels Plesk Panel
    2. (*) Parallels Plesk Panel 10.1.1 (currently installed)
    - I type N

    4th screen
    1. [=] Base packages of Plesk
    2. [=] Plesk Updater
    3. [ ] PostgreSQL server support
    4. [ ] Plesk migration manager
    5. [=] Health monitor
    6. [ ] Payment gateway and registrar modules adapted to Business Manager
    7. [=] SiteBuilder
    8. [ ] Customer & Business Manager (free, recommended for shared hosting)
    9. [=] PHP5 support
    10. [.] <+> Plesk hosting features // 2 of 7 components selected

    Different mailservers
    11. ( ) Qmail mailserver
    12. (=) Postfix mailserver

    13. [.] <+> Additional Plesk modules // 3 of 5 components selected
    14. [ ] <+> Game servers // 0 of 1 components selected
    15. [ ] <+> Additional mail services // 0 of 4 components selected
    16. [ ] <+> Server backup solutions // 0 of 2 components selected
    17. [ ] <+> Plesk webmails support // 0 of 2 components selected


    Sorry but i can`t find any Update

    Thank a lot
     
  8. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,560
    Likes Received:
    1,242
    Location:
    Novosibirsk, Russia
  9. keny

    keny New Pleskian

    23
     
    Joined:
    Jan 25, 2008
    Messages:
    24
    Likes Received:
    0
    Got error when trying to update any idea ?

    here the log :


    N) Next page; P) Go back; Q) Cancel installing;
    A) Select all; D) Deselect all;
    Enter number to toggle the component or to view the group;
    Type a number or a character of desired action [N]: n
    Gathering information about installed license key...
    Checking whether the package dependencies are resolved.
    E: Broken packages
    ---X--- `apt-get` output ---------------------
    Reading package lists...
    Building dependency tree...
    Reading state information...
    drweb-daemon is already the newest version.
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    plesk-mail-qc-driver: Conflicts: psa-mail-driver
    psa-mail-qc-driver: Conflicts: psa-mail-driver

    ---------------------- `apt-get` output ---X---
    Collecting error details into log file...
    Synchronizing the Debian APT package index files...

    ERROR: Installation will not continue
    Not all packages were installed.
    Please, contact product technical support.


    Thanks
     
  10. RayvanS

    RayvanS New Pleskian

    13
    30%
    Joined:
    Nov 7, 2011
    Messages:
    13
    Likes Received:
    0
    Is there a solution allready available? I still can't update from 10.1.1 tot 10.4.xxx
     
Loading...